[TxMt] intermittent ruby problems

Ryan King ryan at theryanking.com
Mon Jun 12 00:28:02 UTC 2006

On Jun 9, 2006, at 8:06 PM, Charilaos Skiadas wrote:
> On Jun 9, 2006, at 6:21 PM, Ryan King wrote:
>> I keep having intermittent problems with bundles that use ruby  
>> scripts. I get errors along the lines of:
>>> /tmp/temp_textmate.gD8qB9:11:in `require': No such file to load  
>>> -- erb (LoadError) from /tmp/temp_textmate.gD8qB9:11
>> Any clue on the cause?
> It would help if you tell us what script this is, what version of  
> Ruby you have, and whether erb is located in your computer somewhere.

It's the TODO package.

~ ryan$ ruby -v
ruby 1.8.4 (2005-12-24) [powerpc-darwin8.6.0]

And this:

~ ryan$ ruby -we 'require "erb"'

gives no errors.

> The above message seems to indicate that the script tries to load  
> the erb library but can't find it.
> When I run "locate erb.rb" from the command line, I get "/usr/lib/ 
> ruby/1.8/erb.rb".. What do you get?

I get /usr/local/lib/ruby/1.8/erb.rb.

My ruby is in /usr/local, not /usr, but that shouldn't cause any  


More information about the textmate mailing list